<bugID>862314<Summary>possible to install a provider twice</Summary><Description>Steps to reproduce:
1. Open the add-on manager.
2. Select the "Services" section.
3. Open http://mixedpuppy.github.io/socialapi-demo/ in another tab.
4. Click the "Activate The Demo Provider" button.
5. (If the demo provider isn't installed yet) Click "Enable Services" on the door hanger notification.
6. Look in the add-on manager: "Demo Social Service 1.0" appeared.
7. Go back to the http://mixedpuppy.github.io/socialapi-demo/ tab and click the "Activate The Demo Provider" button again.
8. Go back to the add-on manager.

Expected result: one "Demo Social Service 1.0" item in the list.

Actual result: a "Demo Social Service 1.0" item per click on the Activate button.


Note: In the add-on manager, selecting the "Extensions" section and selecting "Services" again makes the duplicates disappear.

Tested with: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.8; rv:23.0) Gecko/20130415 Firefox/23.0</Description></bugID>